Apache Struts API Documentation: Class BaseInputTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class BaseInputTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.BaseInputTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  BaseFieldTag, TextareaTag

public abstract class BaseInputTag
extends BaseHandlerTag

Abstract base class for the various input tags.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `cols` The number of character columns for this field, or negative for no limit.
`protected java.lang.String` | `maxlength` The maximum number of characters allowed, or negative for no limit.
`protected static MessageResources` | `messages` The message resources for this package.
`protected java.lang.String` | `property` The name of the field (and associated property) being processed.
`protected java.lang.String` | `rows` The number of rows for this field, or negative for no limit.
`protected java.lang.String` | `value` The value for this field, or `null` to retrieve the corresponding property from our associated bean.

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, disabled, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, readonly, style, styleClass, styleId, tabindex, title`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseInputTag()`

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getCols()` Return the number of columns for this field.
`java.lang.String` | `getMaxlength()` Return the maximum length allowed.
`java.lang.String` | `getProperty()` Return the property name.
`java.lang.String` | `getRows()` Return the number of rows for this field.
`java.lang.String` | `getSize()` Return the size of this field (synonym for `getCols()`).
`java.lang.String` | `getValue()` Return the field value (if any).
`void` | `release()` Release any acquired resources.
`void` | `setCols(java.lang.String cols)` Set the number of columns for this field.
`void` | `setMaxlength(java.lang.String maxlength)` Set the maximum length allowed.
`void` | `setProperty(java.lang.String property)` Set the property name.
`void` | `setRows(java.lang.String rows)` Set the number of rows for this field.
`void` | `setSize(java.lang.String size)` Set the size of this field (synonym for `setCols()`).
`void` | `setValue(java.lang.String value)` Set the field value (if any).

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, prepareEventHandlers, prepareFocusEvents, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setDisabled, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### cols

    protected java.lang.String cols

  The number of character columns for this field, or negative for no limit.

### maxlength

    protected java.lang.String maxlength

  The maximum number of characters allowed, or negative for no limit.

### messages

    protected static MessageResources messages

  The message resources for this package.

### property

    protected java.lang.String property

  The name of the field (and associated property) being processed.

### rows

    protected java.lang.String rows

  The number of rows for this field, or negative for no limit.

### value

    protected java.lang.String value

  The value for this field, or `null` to retrieve the corresponding property from our associated bean.

Constructor Detail

### BaseInputTag

    public BaseInputTag()

Method Detail

### getCols

    public java.lang.String getCols()

  Return the number of columns for this field.

### setCols

    public void setCols(java.lang.String cols)

  Set the number of columns for this field.
  Parameters:
    `cols` - The new number of columns

### getMaxlength

    public java.lang.String getMaxlength()

  Return the maximum length allowed.

### setMaxlength

    public void setMaxlength(java.lang.String maxlength)

  Set the maximum length allowed.
  Parameters:
    `maxlength` - The new maximum length

### getProperty

    public java.lang.String getProperty()

  Return the property name.

### setProperty

    public void setProperty(java.lang.String property)

  Set the property name.
  Parameters:
    `property` - The new property name

### getRows

    public java.lang.String getRows()

  Return the number of rows for this field.

### setRows

    public void setRows(java.lang.String rows)

  Set the number of rows for this field.
  Parameters:
    `rows` - The new number of rows

### getSize

    public java.lang.String getSize()

  Return the size of this field (synonym for `getCols()`).

### setSize

    public void setSize(java.lang.String size)

  Set the size of this field (synonym for `setCols()`).
  Parameters:
    `size` - The new size

### getValue

    public java.lang.String getValue()

  Return the field value (if any).

### setValue

    public void setValue(java.lang.String value)

  Set the field value (if any).
  Parameters:
    `value` - The new field value, or `null` to retrieve the corresponding property from the bean

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag. The default implementation does nothing.
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.
  Overrides:
    `release` in class `BaseHandlerTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation